Results 1 to 10 of 10

Thread: Cannot install Xfce 4.12 on Xubuntu 14.04

  1. #1
    Join Date
    Nov 2009
    Beans
    14

    Cannot install Xfce 4.12 on Xubuntu 14.04

    Is the xfce4-dev ppa for xfce 4.12 kaput? I am trying to install xfce 4.12 on a fresh install of Xubuntu 14.04.5 (x64). I gave up on 16.04 after too many problems. I know that Xubuntu Trusty went out of support earlier this month, but I plan to run it at least till 18.04 comes out. The base packages from Canonical are still supported.

    Anyway....last time I had 14.04 I upgraded xfce to 4.12 via ppaubuntu-dev/xfce-4.12. That ppa now seems to be gone. Does anyone know how to upgrade to 4.12 on Trusty? Please do not suggest that I upgrade to 16.04. I have tried that several times; it just does not suit me. If I have to I will live with the fully functional 4.10 but 4.12 worked like a charm when I used it.

    Thanks.

  2. #2
    Join Date
    Jun 2016
    Beans
    1,857
    Distro
    Xubuntu 18.04 Bionic Beaver

    Re: Cannot install Xfce 4.12 on Xubuntu 14.04

    Looks like that PPA was deleted.

    Do you have any working 14.04 machines with those packages installed? If so, dpkg-repack might help you. It's available in the standard repositories.

  3. #3
    Join Date
    Nov 2009
    Beans
    14

    Re: Cannot install Xfce 4.12 on Xubuntu 14.04

    Thanks, halogen 2. Alas I do not have a machine running Xubuntu 14.04 with xfce 4.12. I "upgraded" my desktop to 16.04 and spent months trying to make peace with its bugs and annoyances, till today when I could stand it no more. My laptop runs Mint 18.1.

    I will keep trying to get 4.12 somehow. I can live with 4.10 if I must. It's OK; but 4.12 is better. (Thunar and Settings improvements, etc.) Why must we scramble like this to make things "just work"?

  4. #4
    Join Date
    Apr 2009
    Beans
    1,317
    Distro
    Xubuntu

    Re: Cannot install Xfce 4.12 on Xubuntu 14.04

    Quote Originally Posted by ericmark4 View Post
    -snippet-

    I will keep trying to get 4.12 somehow.
    Try this in an vm or test install then.

    Copy source.list:

    Code:
    sudo cp /etc/apt/sources.list /etc/apt/sources.list.backup
    Open sources.list:

    Code:
    sudo -H mousepad /etc/apt/sources.list
    Replace 14.04 sources.list with 16.04 repos.

    Save and close sources.list.

    Open ‘Synaptic’ package manager, (install if needed).

    Hit the ‘refresh button’ in synaptic.

    Click on the packages you want and then install them.

    Close synaptic.

    (This can be done in a running system, because of the ‘start-stop daemon’ in Debian/Ubuntu systems).

    Copy your original ‘sources.list' from backup and replace to what was before editing and save.

    Code:
    sudo apt-get update && sudo apt-get dist-upgrade

    Reboot.
    Last edited by mikodo; April 28th, 2017 at 04:48 AM. Reason: How to backup sources.list
    One Psychiatrist's Definition of Insanity: Knowing what one should do and doing differently.

  5. #5
    Join Date
    Feb 2008
    Location
    Oblivion
    Beans
    Hidden!
    Distro
    Xubuntu

    Re: Cannot install Xfce 4.12 on Xubuntu 14.04

    A heads up that Xubuntu 14.04 LTS is no longer supported. Reached EOL not long ago. Upgrade to a supported release (Xubuntu 16.04 LTS perhaps, support to 2019) and no doubt you'll get the version of xfce4 you're after by default (or newer if there is one).

    Xubuntu 14.04 end of life: April 17, 2017. See here.

    Just to remind that Xubuntu LTS (and Lubuntu) have three years support, not five.

    While Mikodo's remedy may or may not work, why add a new sources list (from 16.04) or PPA to an EOL release (14.04)??? Doesn't make much sense.

    Perhaps a better idea would be to back up your data, install a supported release and be done with it. EOL releases get no updates/upgrades, and that includes security updates.
    Last edited by Bucky Ball; April 28th, 2017 at 06:54 AM.

  6. #6
    Join Date
    Oct 2009
    Location
    Reykjavík, Ísland
    Beans
    13,080
    Distro
    Lubuntu 18.04 Bionic Beaver

    Re: Cannot install Xfce 4.12 on Xubuntu 14.04

    Quote Originally Posted by ericmark4 View Post
    I gave up on 16.04 after too many problems.
    How does 17.04 work?
    Bringing old hardware back to life. About problems due to upgrading.
    Please visit Quick Links -> Unanswered Posts.
    Don't use this space for a list of your hardware. It only creates false hits in the search engines.

  7. #7
    Join Date
    Jun 2015
    Beans
    Hidden!

    Re: Cannot install Xfce 4.12 on Xubuntu 14.04

    Quote Originally Posted by ericmark4 View Post
    ... I gave up on 16.04 after too many problems. I know that Xubuntu Trusty went out of support earlier this month, but I plan to run it at least till 18.04 comes out....

    Please do not suggest that I upgrade to 16.04. I have tried that several times; it just does not suit me...
    What problems where they? Can't seem to find any threads.

    Quote Originally Posted by Bucky Ball View Post
    A heads up that Xubuntu 14.04 LTS is no longer supported. Reached EOL not long ago....
    They know

  8. #8
    Join Date
    Feb 2008
    Location
    Oblivion
    Beans
    Hidden!
    Distro
    Xubuntu

    Re: Cannot install Xfce 4.12 on Xubuntu 14.04

    Quote Originally Posted by flocculant View Post
    They know
    In that case, might be a better idea to start posting about the problems they were having with 16.04, a supported release, rather than trying to nut out an unsupported one, no? That is a step in the wrong direction IMHO and even if it does get fixed, how long before the next EOL related issue, by which time they'll be even less support available for 14.04?

    Anyhow, good luck with it.
    Last edited by Bucky Ball; April 28th, 2017 at 07:29 AM.

  9. #9
    Join Date
    Nov 2009
    Beans
    14

    Re: Cannot install Xfce 4.12 on Xubuntu 14.04

    Quote Originally Posted by Bucky Ball View Post
    In that case, might be a better idea to start posting about the problems they were having with 16.04, a supported release, rather than trying to nut out an unsupported one, no? That is a step in the wrong direction IMHO and even if it does get fixed, how long before the next EOL related issue, by which time they'll be even less support available for 14.04?

    Anyhow, good luck with it.
    Thanks for the replies, if anyone is still out there. I was busy at work and installing 16.04 yet again.

    Yes, I bit the bullet and decided that xfce 4.12 plus security updates was worth the hassles. I've played with Xenial so much over the past year i learned how to deal with most of the issues and annoyances.

    Since you asked....(thread-jack alert but as OP I hope that's OK): The one issue I still have this time is that I cannot play embedded audio in .ppt/.pps files through WPS Office. That's the one program that does work for that purpose in Trusty, but in Xenial no luck lo the many times I have tried.

    So I have to resort to Windows for that admittedly rare usage case. I do not like having to resort to Windows for anything.

    Other issues I had, which might be somewhat specific to my wants and needs:

    1. Abiword is unusable in 16.04. It works fine in 14.04. I like Abiword for simple word processing. I don't like not being able to use it. I don't like not being able to revert to the earlier version used in Trusty without wading through broken dependencies and such fun.

    2. I am a tournament chessplayer and SCID, the chess database, works fine in Trusty but much less well in Xenial. It's not as bad as the total fail of Abiword but it's bad enough.

    3. It took a long time to figure out how to restore the Filter box to synaptic, which is the main way I install programs. This is not well-documented at the Xubuntu site or on the main forums as far as I could see. Not sure why this useful feature was removed.

    4. The xfce4-mixer plugin was pulled from the repos and at first there was no word on where to find it or what to use as an alternative. I eventually found a way to install the mixer plugin but after awhile it went belly-up. It took more surfing and sniffing around to find the pulse audio plugin---which works fine, but I would still prefer the mixer plugin if it worked. But it does not.

    5. The mscore fonts do not always install correctly on Xenial. This is not a deal-breaker as there are OS alternative fonts---but it's frustrating to see the package listed as "installed" in synaptic---reinstall it repeatedly---but not be able to access the fonts in any word processor. This time around the mscore fonts did install. Much joy.

    There are a few other nitpicks but those are the main and recurring issues. This time---based on trial-and-frustration the past year---I found ways to deal with all issues apart from the embedded audio in Powerpoint problem.

    If nothing else goes south I will keep this install of 16.04. It is snappy and elegant in its simplicity---what I liked about Xubuntu from the start. (I found Linux around the time Xubuntu appeared.) But I will never get why it suddenly became harder to get stuff set up and get stuff done in Xenial, and why it's so hard for a moderately savvy Xubuntu veteran to find explanations/alternatives.

    Thanks for asking. Enjoy.

  10. #10
    Join Date
    Jun 2016
    Beans
    1,857
    Distro
    Xubuntu 18.04 Bionic Beaver

    Re: Cannot install Xfce 4.12 on Xubuntu 14.04

    For (1) and (2), have you tried getting the source code of the version you used on 14.04, and building/compiling it on 16.04? When I upgraded from 14.04 to 16.04, I needed to do this for a couple softwares. And it worked well for me.

    For (3) sounds like you figured this out, but for other readers: just install apt-xapian-index then restart Synaptic once or twice.

    And for (5) I followed this suggestion from howefield - https://ubuntuforums.org/showthread....1#post13594666

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •